Bug 243413 - Package should require yelp for its help
Package should require yelp for its help
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: scribes (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-08 12:28 EDT by Matěj Cepl
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.3.2.8-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-09 00:45:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2007-06-08 12:28:21 EDT
This package uses yelp for its help. Therefore, it should require package yelp for its operation.

[Filed by a script; forgive him if he made a mistake for once.]
Comment 1 Peter Gordon 2007-06-09 00:27:31 EDT
Thanks for the catch...
Comment 2 Peter Gordon 2007-06-09 00:45:14 EDT
Built for dist-f8 and will be pushed with the next rawhide updates.
Comment 3 Christopher Aillon 2007-06-09 18:51:17 EDT
All of these bug reports are (most likely) wrong.  The package should NOT
require yelp.  We went through effort to ensure that yelp is not a requirement
for the desktop.

You should ask yourself: will the package fail to work if yelp is not installed?
 If not, do not require yelp.

If you have already committed this fix blindly, I ask that you consider undoing
it so derivative projects can continue using your package without help if they
so choose.

We have added yelp to the default install via comps so that all installs get
yelp by default unless they specifically ask for it to be removed.  We should
honor that.  Please undo your changes if you have made them and/or mark this bug
WONTFIX.  Thanks.
Comment 4 Peter Gordon 2007-06-10 00:12:28 EDT
Yelp dependency reverted. Thanks for the catch, Chris. 

Note You need to log in before you can comment on or make changes to this bug.